/*
 * $Id$
 */

package org.sonatype.security.model.v2_0_4.upgrade;

  //---------------------------------/
 //- Imported classes and packages -/
//---------------------------------/

import org.sonatype.security.model.v2_0_4.CPrivilege;
import org.sonatype.security.model.v2_0_4.CProperty;
import org.sonatype.security.model.v2_0_4.CRole;
import org.sonatype.security.model.v2_0_4.CUser;
import org.sonatype.security.model.v2_0_4.CUserRoleMapping;
import org.sonatype.security.model.v2_0_4.Configuration;

/**
 * Converts between version 2.0.3 and version 2.0.4 of the model.
 * 
 * @version $Revision$ $Date$
 */
public interface VersionUpgrade
{

      //-----------/
     //- Methods -/
    //-----------/

    /**
     * 
     * 
     * @param cPrivilege
     */
    public org.sonatype.security.model.v2_0_4.CPrivilege upgradeCPrivilege( org.sonatype.security.model.v2_0_3.CPrivilege cPrivilege );
    /**
     * 
     * 
     * @param cProperty
     */
    public org.sonatype.security.model.v2_0_4.CProperty upgradeCProperty( org.sonatype.security.model.v2_0_3.CProperty cProperty );
    /**
     * 
     * 
     * @param cRole
     */
    public org.sonatype.security.model.v2_0_4.CRole upgradeCRole( org.sonatype.security.model.v2_0_3.CRole cRole );
    /**
     * 
     * 
     * @param cUser
     */
    public org.sonatype.security.model.v2_0_4.CUser upgradeCUser( org.sonatype.security.model.v2_0_3.CUser cUser );
    /**
     * 
     * 
     * @param cUserRoleMapping
     */
    public org.sonatype.security.model.v2_0_4.CUserRoleMapping upgradeCUserRoleMapping( org.sonatype.security.model.v2_0_3.CUserRoleMapping cUserRoleMapping );
    /**
     * 
     * 
     * @param configuration
     */
    public org.sonatype.security.model.v2_0_4.Configuration upgradeConfiguration( org.sonatype.security.model.v2_0_3.Configuration configuration );
}
